%define	name	zcip
%define	version	4
%define	release %mkrel 7

Summary:	Ad-hoc link-local IP autoconfiguration
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		zcip-4-alias.patch.bz2
Patch1:		zcip-4-gcc3.patch.bz2
License:	MIT
Group:		System/Configuration/Networking
URL:		http://zeroconf.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}buildroot
BuildRequires:	libnet1.0.2-static-devel libpcap-devel glibc-static-devel

%description
This is an implementation of the ad-hoc link-local IP autoconfiguration
algorithm described in the IETF Draft "Dynamic Configuration of IPv4
link-local addresses".

%prep
%setup -q
%patch0 -p1 -b .alias
%patch1 -p1 -b .gcc3

%build
%make CFLAGS="$RPM_OPT_FLAGS -DSTORAGE_DIR=\\\"%{_localstatedir}/zcip\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -m755 zcip -D %{buildroot}/sbin/zcip
install -m644 zcip.8 -D %{buildroot}%{_mandir}/man8/zcip.8
mkdir -p %{buildroot}%{_localstatedir}/zcip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README draft-ietf-zeroconf-ipv4-linklocal-07.txt Changelog Copyright TODO
/sbin/*
%{_mandir}/man8/*
%{_localstatedir}/zcip

%changelog
* Thu Jul 20 2006 Michael Scherer <misc@mandriva.org> 4-1mdv2007.0
- Rebuild

* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 4-6mdk
- rebuilt against libnet1.0.2 (static-devel)

* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 4-5mdk
- Rebuild
- use mkrel

* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4-4mdk
- rebuild
- drop useless prefix
- cosmetics

* Wed Aug 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 4-3mdk
- rebuild

* Mon Nov 18 2002 Frederic Lepied <flepied@mandrakesoft.com> 4-2mdk
- real version 4

* Tue Oct  8 2002 Frederic Lepied <flepied@mandrakesoft.com> 4-1mdk
- new release

* Sun Oct  6 2002 Frederic Lepied <flepied@mandrakesoft.com> 4-0.rc1.2mdk
- added alias support

* Mon Jul  8 2002 Frederic Lepied <flepied@mandrakesoft.com> 4-0.rc1.1mdk
- 4rc1

* Mon Jul  8 2002 Frederic Lepied <flepied@mandrakesoft.com> 3-1mdk
- Initial Mandrake Linux packaging
